DataBinder (Grails 6.0.0)

Package: grails.web.databinding

## [Groovy] Trait DataBinder

- grails.web.databinding.DataBinder

-     @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait DataBinder
      extends java.lang.Object

  Methods added to enable binding data (typically incoming request parameters) to objects and collections

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.validation.BindingResult` | `bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.Map includeExclude)`
    `` | `org.springframework.validation.BindingResult` | `bindData(java.lang.Object target, java.lang.Object bindingSource)`
    `` | `org.springframework.validation.BindingResult` | `bindData(java.lang.Object target, java.lang.Object bindingSource, java.lang.String filter)`
    `` | `org.springframework.validation.BindingResult` | `bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.List excludes)`
    `` | `org.springframework.validation.BindingResult` | `bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.List excludes, java.lang.String filter)`
    `` | `org.springframework.validation.BindingResult` | `bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.Map includeExclude, java.lang.String filter)`
    `` | `void` | `bindData(java.lang.Class targetType, java.util.Collection collectionToPopulate, CollectionDataBindingSource collectionBindingSource)`
    `` | `private java.util.List` | `convertToListIfCharSequence(java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @groovy.transform.Generated org.springframework.validation.BindingResult bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.Map includeExclude)

    - #### @groovy.transform.Generated org.springframework.validation.BindingResult bindData(java.lang.Object target, java.lang.Object bindingSource)

    - #### @groovy.transform.Generated org.springframework.validation.BindingResult bindData(java.lang.Object target, java.lang.Object bindingSource, java.lang.String filter)

    - #### @groovy.transform.Generated org.springframework.validation.BindingResult bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.List excludes)

    - #### @groovy.transform.Generated org.springframework.validation.BindingResult bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.List excludes, java.lang.String filter)

    - #### @groovy.transform.Generated org.springframework.validation.BindingResult bindData(java.lang.Object target, java.lang.Object bindingSource, java.util.Map includeExclude, java.lang.String filter)

    - #### @groovy.transform.Generated void bindData(java.lang.Class targetType, java.util.Collection collectionToPopulate, CollectionDataBindingSource collectionBindingSource)

    - #### private java.util.List convertToListIfCharSequence(java.lang.Object value)